# Docusaurus

Docusaurus is a project for easily building, deploying, and maintaining open source project websites. __CI badges go here__

* **Simple to Start** Docusaurus is built to be easy to get up and running in as little time possible. We've built Docusaurus to handle the website build process so you can focus on your project.  
* **Localizable** Docusaurus ships with localization support via CrowdIn. Empower and grow your international community by translating your documentation.
* **Customizable** Docusaurus ships with the key pages and sections you need to get started. A home page, a docs section, a blog, and additional support pages.

## Installation

Docusaurus is available as `docusaurus` package on [npm](https://www.npmjs.com)

The recommended way to use Docusaurs depends on your project. Here you can find short guides for the most common scenarios:

* [Starting from scratch](https://docusaurus.io/docs/getting-started-installation.html#starting-from-scratch)
* [Adding Docusaurus to an existing OSS project](https://docusaurus.io/docs/getting-started-installation.html#adding-docusaurus-to-a-project)

## Contributing

We've released Docusaurus because it helps us better scale and support the many OSS projects at Facebook. We hope that other organizations can benefit from the project. We are thankful for any contributions from the community.

### [Code of Conduct](https://code.facebook.com/codeofconduct)

Facebook has adopted a Code of Conduct that we expect project participants to adhere to. Please read [the full text](https://code.facebook.com/codeofconduct) so that you can understand what actions will and will not be tolerated.

### Contributing Guide

Read our [contributing guide](https://docusaurus.io/docs/how-to-contribute.html) to learn about our development process, how to propose bugfixes and improvements, and how to build and test your changes to Docusaurus.

### Beginner Friendly Bugs

To help you get your feet wet and get you familiar with our contribution process, we have a list of [beginner friendly bugs](https://github.com/facebookexperimental/Docusaurus/labels/Difficulty%3A%20beginner) that contain bugs which are fairly easy to fix. This is a great place to get started.

### License

Docusaurus is [MIT licensed](./LICENSE).

The Docusaurus documentation (e.g., `.md` files in the `/docs` folder) is [Creative Commons licensed](./LICENSE-docs).
